#pragma once
#include "BaseForm.h"
#include "MaintainForm.h"
#include "LoginForm.h"
#include "SearchObjForm.h"
#include "ViewForm.h"
#include "SetForm.h"
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;
using namespace System::Data::SqlClient;
using namespace System::Collections;
//using namespace System::IO; 

using namespace std;
namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for MainForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
    public __gc class MainForm : public System::Windows::Forms::Form
	{
	public: 
		MainForm(void)
		{
//            BaseForm::Init();
//            SearchObjForm::Init();
//            ViewForm::Init( );
//            BaseFormControl::IsExit( false );

            _IsLogin         = false;
            _ActiveForm      = NULL;
            _FormList        = new ArrayList();

			InitializeComponent();

		//	sqlConnection1->ConnectionString = Global::GetDBSource();
		}
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Data::SqlClient::SqlCommand *  sqlCommand1;
    private: System::Data::SqlClient::SqlConnection *  sqlConnection1;
    private: System::Windows::Forms::MainMenu *  mainMenu1;
    private: System::Windows::Forms::MenuItem *  menuItem1;
    private: System::Windows::Forms::MenuItem *  menuItem4;
    private: System::Windows::Forms::MenuItem *  menuItem8;

    private: System::Windows::Forms::Label *  label1;
    private: System::Windows::Forms::MenuItem *  menuItem_Login;
    private: System::Windows::Forms::MenuItem *  menuItem_Logout;
    private: System::Windows::Forms::MenuItem *  menuItem_Exit;
    private: System::Windows::Forms::MenuItem *  menuItem_OuputAll;


    private: System::Windows::Forms::MenuItem *  menuItem_Setting;
    private: System::Windows::Forms::ComboBox *  CB_SelectForm;
    private: System::Windows::Forms::Panel *  panel_SelectObj;
    private: System::Windows::Forms::ProgressBar *  progressBar1;
    private: System::Windows::Forms::MenuItem *  menuItem2;
    private: System::Windows::Forms::MenuItem *  MI_MaintainForm;
    private: DevExpress::XtraBars::Docking::DockManager *  dockManager1;
    private: DevExpress::XtraBars::Docking::DockPanel *  dockPanel1;
    private: DevExpress::XtraBars::Docking::ControlContainer *  dockPanel1_Container;
    private: DevExpress::XtraBars::Docking::DockPanel *  dockPanel2;
    private: DevExpress::XtraBars::Docking::ControlContainer *  dockPanel2_Container;
    private: System::Windows::Forms::Timer *  timer1;
    private: System::Windows::Forms::Panel *  ViewPanelScreen;
    private: System::Windows::Forms::Panel *  ViewPanelControl;
    private: System::Windows::Forms::MenuItem *  menuItem3;
    private: System::Windows::Forms::MenuItem *  MI_Preview;
    private: DevExpress::XtraBars::Docking::AutoHideContainer *  hideContainerRight;
	private: DevExpress::XtraBars::Docking::DockPanel *  dockPanel3;
	private: DevExpress::XtraBars::Docking::ControlContainer *  dockPanel3_Container;
	private: System::Windows::Forms::MenuItem*  menuItem5;




	private: System::Windows::Forms::MenuItem*  menuItem11;
	private: System::Windows::Forms::MenuItem*  menuItem12;





	private: System::Windows::Forms::MenuItem*  menuItem18;
	private: System::Windows::Forms::MenuItem*  menuItem19;
	private: System::Windows::Forms::MenuItem*  menuItem20;
	private: System::Windows::Forms::MenuItem*  menuItem22;
	private: System::Windows::Forms::MenuItem*  menuItem26;
	private: System::Windows::Forms::MenuItem*  menuItem25;
	private: System::Windows::Forms::MenuItem*  menuItem21;
	private: System::Windows::Forms::MenuItem*  menuItem23;
	private: System::Windows::Forms::MenuItem*  menuItem24;














	private: System::ComponentModel::IContainer *  components;


	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>


		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->components = (new System::ComponentModel::Container());
			this->sqlCommand1 = (new System::Data::SqlClient::SqlCommand());
			this->sqlConnection1 = (new System::Data::SqlClient::SqlConnection());
			this->mainMenu1 = (new System::Windows::Forms::MainMenu(this->components));
			this->menuItem1 = (new System::Windows::Forms::MenuItem());
			this->menuItem_Login = (new System::Windows::Forms::MenuItem());
			this->menuItem_Logout = (new System::Windows::Forms::MenuItem());
			this->menuItem5 = (new System::Windows::Forms::MenuItem());
			this->menuItem2 = (new System::Windows::Forms::MenuItem());
			this->MI_MaintainForm = (new System::Windows::Forms::MenuItem());
			this->menuItem4 = (new System::Windows::Forms::MenuItem());
			this->menuItem_Exit = (new System::Windows::Forms::MenuItem());
			this->menuItem8 = (new System::Windows::Forms::MenuItem());
			this->menuItem_OuputAll = (new System::Windows::Forms::MenuItem());
			this->menuItem_Setting = (new System::Windows::Forms::MenuItem());
			this->menuItem18 = (new System::Windows::Forms::MenuItem());
			this->menuItem19 = (new System::Windows::Forms::MenuItem());
			this->menuItem3 = (new System::Windows::Forms::MenuItem());
			this->MI_Preview = (new System::Windows::Forms::MenuItem());
			this->menuItem11 = (new System::Windows::Forms::MenuItem());
			this->menuItem26 = (new System::Windows::Forms::MenuItem());
			this->menuItem12 = (new System::Windows::Forms::MenuItem());
			this->menuItem25 = (new System::Windows::Forms::MenuItem());
			this->menuItem20 = (new System::Windows::Forms::MenuItem());
			this->menuItem21 = (new System::Windows::Forms::MenuItem());
			this->menuItem22 = (new System::Windows::Forms::MenuItem());
			this->menuItem23 = (new System::Windows::Forms::MenuItem());
			this->menuItem24 = (new System::Windows::Forms::MenuItem());
			this->panel_SelectObj = (new System::Windows::Forms::Panel());
			this->progressBar1 = (new System::Windows::Forms::ProgressBar());
			this->CB_SelectForm = (new System::Windows::Forms::ComboBox());
			this->label1 = (new System::Windows::Forms::Label());
			this->dockManager1 = (new DevExpress::XtraBars::Docking::DockManager());
			this->hideContainerRight = (new DevExpress::XtraBars::Docking::AutoHideContainer());
			this->dockPanel1 = (new DevExpress::XtraBars::Docking::DockPanel());
			this->dockPanel1_Container = (new DevExpress::XtraBars::Docking::ControlContainer());
			this->ViewPanelControl = (new System::Windows::Forms::Panel());
			this->dockPanel2 = (new DevExpress::XtraBars::Docking::DockPanel());
			this->dockPanel2_Container = (new DevExpress::XtraBars::Docking::ControlContainer());
			this->ViewPanelScreen = (new System::Windows::Forms::Panel());
			this->dockPanel3 = (new DevExpress::XtraBars::Docking::DockPanel());
			this->dockPanel3_Container = (new DevExpress::XtraBars::Docking::ControlContainer());
			this->timer1 = (new System::Windows::Forms::Timer(this->components));
			this->panel_SelectObj->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->dockManager1))->BeginInit();
			this->hideContainerRight->SuspendLayout();
			this->dockPanel1->SuspendLayout();
			this->dockPanel1_Container->SuspendLayout();
			this->dockPanel2->SuspendLayout();
			this->dockPanel2_Container->SuspendLayout();
			this->dockPanel3->SuspendLayout();
			this->SuspendLayout();
			// 
			// sqlCommand1
			// 
			this->sqlCommand1->CommandText = S"INSERT INTO AccountDB (Account_id, Password) VALUES (\'ABC\', \'ABC\')";
			this->sqlCommand1->CommandTimeout = 300;
			this->sqlCommand1->Connection = this->sqlConnection1;
			// 
			// sqlConnection1
			// 
			this->sqlConnection1->ConnectionString = S"workstation id=HSIANG;packet size=4096;user id=hsiangren;persist security info=Tr" 
				S"ue;initial catalog=ObjectData;password=2ddilxxl;data source=GS1";
			this->sqlConnection1->FireInfoMessageEventOnUserErrors = false;
			// 
			// mainMenu1
			// 
			System::Windows::Forms::MenuItem* __mcTemp__1[] = new System::Windows::Forms::MenuItem*[4];
			__mcTemp__1[0] = this->menuItem1;
			__mcTemp__1[1] = this->menuItem8;
			__mcTemp__1[2] = this->menuItem3;
			__mcTemp__1[3] = this->menuItem11;
			this->mainMenu1->MenuItems->AddRange(__mcTemp__1);
			// 
			// menuItem1
			// 
			this->menuItem1->Index = 0;
			System::Windows::Forms::MenuItem* __mcTemp__2[] = new System::Windows::Forms::MenuItem*[7];
			__mcTemp__2[0] = this->menuItem_Login;
			__mcTemp__2[1] = this->menuItem_Logout;
			__mcTemp__2[2] = this->menuItem5;
			__mcTemp__2[3] = this->menuItem2;
			__mcTemp__2[4] = this->MI_MaintainForm;
			__mcTemp__2[5] = this->menuItem4;
			__mcTemp__2[6] = this->menuItem_Exit;
			this->menuItem1->MenuItems->AddRange(__mcTemp__2);
			this->menuItem1->Text = S"帳號";
			// 
			// menuItem_Login
			// 
			this->menuItem_Login->Index = 0;
			this->menuItem_Login->Text = S"登入";
			this->menuItem_Login->Click += new System::EventHandler(this, &MainForm::OnLogin_Click);
			// 
			// menuItem_Logout
			// 
			this->menuItem_Logout->Index = 1;
			this->menuItem_Logout->Text = S"登出";
			this->menuItem_Logout->Click += new System::EventHandler(this, &MainForm::OnLogout_Click);
			// 
			// menuItem5
			// 
			this->menuItem5->Index = 2;
			this->menuItem5->Text = S"密碼產生";
			this->menuItem5->Click += new System::EventHandler(this, &MainForm::CreatePasswordClick);
			// 
			// menuItem2
			// 
			this->menuItem2->Index = 3;
			this->menuItem2->Text = S"-";
			// 
			// MI_MaintainForm
			// 
			this->MI_MaintainForm->Enabled = false;
			this->MI_MaintainForm->Index = 4;
			this->MI_MaintainForm->Text = S"權限管理";
			this->MI_MaintainForm->Click += new System::EventHandler(this, &MainForm::Maintain_Click);
			// 
			// menuItem4
			// 
			this->menuItem4->Index = 5;
			this->menuItem4->Text = S"-";
			// 
			// menuItem_Exit
			// 
			this->menuItem_Exit->Index = 6;
			this->menuItem_Exit->Text = S"結束";
			this->menuItem_Exit->Click += new System::EventHandler(this, &MainForm::FormExit);
			// 
			// menuItem8
			// 
			this->menuItem8->Index = 1;
			System::Windows::Forms::MenuItem* __mcTemp__3[] = new System::Windows::Forms::MenuItem*[4];
			__mcTemp__3[0] = this->menuItem_OuputAll;
			__mcTemp__3[1] = this->menuItem_Setting;
			__mcTemp__3[2] = this->menuItem18;
			__mcTemp__3[3] = this->menuItem19;
			this->menuItem8->MenuItems->AddRange(__mcTemp__3);
			this->menuItem8->Text = S"輸出";
			// 
			// menuItem_OuputAll
			// 
			this->menuItem_OuputAll->Index = 0;
			this->menuItem_OuputAll->Text = S"全部輸出(內部輸出)";
			this->menuItem_OuputAll->Click += new System::EventHandler(this, &MainForm::OutputAllFileDesign);
			// 
			// menuItem_Setting
			// 
			this->menuItem_Setting->Index = 1;
			this->menuItem_Setting->Text = S"設定";
			this->menuItem_Setting->Click += new System::EventHandler(this, &MainForm::Setting_Click);
			// 
			// menuItem18
			// 
			this->menuItem18->Index = 2;
			this->menuItem18->Text = S"-";
			// 
			// menuItem19
			// 
			this->menuItem19->Index = 3;
			this->menuItem19->Text = S"全部語系全部輸出";
			this->menuItem19->Click += new System::EventHandler(this, &MainForm::OutputAllFile_AllLanguage);
			// 
			// menuItem3
			// 
			this->menuItem3->Index = 2;
			System::Windows::Forms::MenuItem* __mcTemp__4[] = new System::Windows::Forms::MenuItem*[1];
			__mcTemp__4[0] = this->MI_Preview;
			this->menuItem3->MenuItems->AddRange(__mcTemp__4);
			this->menuItem3->Text = S"檢視";
			// 
			// MI_Preview
			// 
			this->MI_Preview->Checked = true;
			this->MI_Preview->Index = 0;
			this->MI_Preview->Text = S"圖形預覽";
			this->MI_Preview->Click += new System::EventHandler(this, &MainForm::MI_Preview_Click);
			// 
			// menuItem11
			// 
			this->menuItem11->Index = 3;
			System::Windows::Forms::MenuItem* __mcTemp__5[] = new System::Windows::Forms::MenuItem*[8];
			__mcTemp__5[0] = this->menuItem26;
			__mcTemp__5[1] = this->menuItem12;
			__mcTemp__5[2] = this->menuItem25;
			__mcTemp__5[3] = this->menuItem20;
			__mcTemp__5[4] = this->menuItem21;
			__mcTemp__5[5] = this->menuItem22;
			__mcTemp__5[6] = this->menuItem23;
			__mcTemp__5[7] = this->menuItem24;
			this->menuItem11->MenuItems->AddRange(__mcTemp__5);
			this->menuItem11->Text = S"資料庫";
			// 
			// menuItem26
			// 
			this->menuItem26->Index = 0;
			this->menuItem26->Text = S"連線工作資料庫";
			// 
			// menuItem12
			// 
			this->menuItem12->Index = 1;
			this->menuItem12->Text = S"還原測試資料庫";
			this->menuItem12->Click += new System::EventHandler(this, &MainForm::menuItem12_Click);
			// 
			// menuItem25
			// 
			this->menuItem25->Index = 2;
			this->menuItem25->Text = S"-";
			// 
			// menuItem20
			// 
			this->menuItem20->Index = 3;
			this->menuItem20->Text = S"連線備份資料庫";
			// 
			// menuItem21
			// 
			this->menuItem21->Index = 4;
			this->menuItem21->Text = S"-";
			// 
			// menuItem22
			// 
			this->menuItem22->Index = 5;
			this->menuItem22->Text = S"備份資料庫";
			this->menuItem22->Click += new System::EventHandler(this, &MainForm::menuItem22_Click);
			// 
			// menuItem23
			// 
			this->menuItem23->Index = 6;
			this->menuItem23->Text = S"-";
			// 
			// menuItem24
			// 
			this->menuItem24->Index = 7;
			this->menuItem24->Text = S"卸載備份資料庫";
			// 
			// panel_SelectObj
			// 
			this->panel_SelectObj->BorderStyle = System::Windows::Forms::BorderStyle::Fixed3D;
			this->panel_SelectObj->Controls->Add(this->progressBar1);
			this->panel_SelectObj->Controls->Add(this->CB_SelectForm);
			this->panel_SelectObj->Controls->Add(this->label1);
			this->panel_SelectObj->Dock = System::Windows::Forms::DockStyle::Top;
			this->panel_SelectObj->Enabled = false;
			this->panel_SelectObj->Location = System::Drawing::Point(0, 0);
			this->panel_SelectObj->Name = S"panel_SelectObj";
			this->panel_SelectObj->Size = System::Drawing::Size(764, 40);
			this->panel_SelectObj->TabIndex = 3;
			// 
			// progressBar1
			// 
			this->progressBar1->Location = System::Drawing::Point(232, 7);
			this->progressBar1->Name = S"progressBar1";
			this->progressBar1->Size = System::Drawing::Size(192, 23);
			this->progressBar1->TabIndex = 2;
			this->progressBar1->Visible = false;
			// 
			// CB_SelectForm
			// 
			this->CB_SelectForm->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__6[] = new System::Object*[15];
			__mcTemp__6[0] = S"NPC";
			__mcTemp__6[1] = S"道具";
			__mcTemp__6[2] = S"武器";
			__mcTemp__6[3] = S"防具";
			__mcTemp__6[4] = S"法術";
			__mcTemp__6[5] = S"附加能力";
			__mcTemp__6[6] = S"符文";
			__mcTemp__6[7] = S"資料表";
			__mcTemp__6[8] = S"Player";
			__mcTemp__6[9] = S"容貌";
			__mcTemp__6[10] = S"任務列表";
			__mcTemp__6[11] = S"任務內容";
			__mcTemp__6[12] = S"頭銜";
			__mcTemp__6[13] = S"重要物品";
			__mcTemp__6[14] = S"幻靈";
			this->CB_SelectForm->Items->AddRange(__mcTemp__6);
			this->CB_SelectForm->Location = System::Drawing::Point(88, 8);
			this->CB_SelectForm->MaxDropDownItems = 100;
			this->CB_SelectForm->Name = S"CB_SelectForm";
			this->CB_SelectForm->Size = System::Drawing::Size(121, 20);
			this->CB_SelectForm->TabIndex = 1;
			this->CB_SelectForm->SelectedIndexChanged += new System::EventHandler(this, &MainForm::OnSelectForm);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(8, 12);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(68, 12);
			this->label1->TabIndex = 0;
			this->label1->Text = S"物件類別 ：";
			// 
			// dockManager1
			// 
			DevExpress::XtraBars::Docking::AutoHideContainer* __mcTemp__7[] = new DevExpress::XtraBars::Docking::AutoHideContainer*[1];
			__mcTemp__7[0] = this->hideContainerRight;
			this->dockManager1->AutoHideContainers->AddRange(__mcTemp__7);
			this->dockManager1->Form = this;
			DevExpress::XtraBars::Docking::DockPanel* __mcTemp__8[] = new DevExpress::XtraBars::Docking::DockPanel*[1];
			__mcTemp__8[0] = this->dockPanel3;
			this->dockManager1->HiddenPanels->AddRange(__mcTemp__8);
			System::String* __mcTemp__9[] = new System::String*[2];
			__mcTemp__9[0] = S"DevExpress.XtraBars.BarDockControl";
			__mcTemp__9[1] = S"System.Windows.Forms.StatusBar";
			this->dockManager1->TopZIndexControls->AddRange(__mcTemp__9);
			// 
			// hideContainerRight
			// 
			this->hideContainerRight->Controls->Add(this->dockPanel1);
			this->hideContainerRight->Controls->Add(this->dockPanel2);
			this->hideContainerRight->Dock = System::Windows::Forms::DockStyle::Right;
			this->hideContainerRight->Location = System::Drawing::Point(764, 0);
			this->hideContainerRight->Name = S"hideContainerRight";
			this->hideContainerRight->Size = System::Drawing::Size(20, 742);
			// 
			// dockPanel1
			// 
			this->dockPanel1->Controls->Add(this->dockPanel1_Container);
			this->dockPanel1->Dock = DevExpress::XtraBars::Docking::DockingStyle::Right;
			this->dockPanel1->FloatSize = System::Drawing::Size(380, 493);
			this->dockPanel1->ID = System::Guid(S"9172fcbc-8f8f-4f16-9ad4-a0777ddb7d78");
			this->dockPanel1->Location = System::Drawing::Point(0, 0);
			this->dockPanel1->Name = S"dockPanel1";
			this->dockPanel1->SavedDock = DevExpress::XtraBars::Docking::DockingStyle::Right;
			this->dockPanel1->SavedIndex = 0;
			this->dockPanel1->Size = System::Drawing::Size(380, 721);
			this->dockPanel1->Text = S"設定";
			this->dockPanel1->Visibility = DevExpress::XtraBars::Docking::DockVisibility::AutoHide;
			this->dockPanel1->ClosingPanel += new DevExpress::XtraBars::Docking::DockPanelCancelEventHandler(this, &MainForm::SetCloseViewForm);
			// 
			// dockPanel1_Container
			// 
			this->dockPanel1_Container->Controls->Add(this->ViewPanelControl);
			this->dockPanel1_Container->Location = System::Drawing::Point(3, 21);
			this->dockPanel1_Container->Name = S"dockPanel1_Container";
			this->dockPanel1_Container->Size = System::Drawing::Size(374, 697);
			this->dockPanel1_Container->TabIndex = 0;
			// 
			// ViewPanelControl
			// 
			this->ViewPanelControl->Dock = System::Windows::Forms::DockStyle::Fill;
			this->ViewPanelControl->Location = System::Drawing::Point(0, 0);
			this->ViewPanelControl->Name = S"ViewPanelControl";
			this->ViewPanelControl->Size = System::Drawing::Size(374, 697);
			this->ViewPanelControl->TabIndex = 0;
			// 
			// dockPanel2
			// 
			this->dockPanel2->Controls->Add(this->dockPanel2_Container);
			this->dockPanel2->Dock = DevExpress::XtraBars::Docking::DockingStyle::Fill;
			this->dockPanel2->ID = System::Guid(S"655aaa72-864e-40d5-a77a-64086ade3a42");
			this->dockPanel2->Location = System::Drawing::Point(0, 0);
			this->dockPanel2->Name = S"dockPanel2";
			this->dockPanel2->SavedDock = DevExpress::XtraBars::Docking::DockingStyle::Fill;
			this->dockPanel2->SavedIndex = 0;
			this->dockPanel2->SavedParent = this->dockPanel1;
			this->dockPanel2->Size = System::Drawing::Size(380, 721);
			this->dockPanel2->Text = S"預覽";
			this->dockPanel2->Visibility = DevExpress::XtraBars::Docking::DockVisibility::AutoHide;
			this->dockPanel2->ClosingPanel += new DevExpress::XtraBars::Docking::DockPanelCancelEventHandler(this, &MainForm::SetCloseViewForm);
			// 
			// dockPanel2_Container
			// 
			this->dockPanel2_Container->Controls->Add(this->ViewPanelScreen);
			this->dockPanel2_Container->Location = System::Drawing::Point(3, 21);
			this->dockPanel2_Container->Name = S"dockPanel2_Container";
			this->dockPanel2_Container->Size = System::Drawing::Size(374, 697);
			this->dockPanel2_Container->TabIndex = 0;
			// 
			// ViewPanelScreen
			// 
			this->ViewPanelScreen->Dock = System::Windows::Forms::DockStyle::Fill;
			this->ViewPanelScreen->Location = System::Drawing::Point(0, 0);
			this->ViewPanelScreen->Name = S"ViewPanelScreen";
			this->ViewPanelScreen->Size = System::Drawing::Size(374, 697);
			this->ViewPanelScreen->TabIndex = 6;
			// 
			// dockPanel3
			// 
			this->dockPanel3->Controls->Add(this->dockPanel3_Container);
			this->dockPanel3->Dock = DevExpress::XtraBars::Docking::DockingStyle::Float;
			this->dockPanel3->FloatLocation = System::Drawing::Point(126, 309);
			this->dockPanel3->FloatSize = System::Drawing::Size(451, 422);
			this->dockPanel3->ID = System::Guid(S"484e005d-53d2-4535-84de-a53a6084813f");
			this->dockPanel3->Location = System::Drawing::Point(0, 0);
			this->dockPanel3->Name = S"dockPanel3";
			this->dockPanel3->SavedIndex = 0;
			this->dockPanel3->Size = System::Drawing::Size(451, 422);
			this->dockPanel3->Text = S"dockPanel3";
			this->dockPanel3->Visibility = DevExpress::XtraBars::Docking::DockVisibility::Hidden;
			// 
			// dockPanel3_Container
			// 
			this->dockPanel3_Container->Location = System::Drawing::Point(4, 22);
			this->dockPanel3_Container->Name = S"dockPanel3_Container";
			this->dockPanel3_Container->Size = System::Drawing::Size(443, 396);
			this->dockPanel3_Container->TabIndex = 0;
			// 
			// MainForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(784, 742);
			this->Controls->Add(this->panel_SelectObj);
			this->Controls->Add(this->hideContainerRight);
			this->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->IsMdiContainer = true;
			this->Menu = this->mainMenu1;
			this->Name = S"MainForm";
			this->Text = S"物件編輯";
			this->WindowState = System::Windows::Forms::FormWindowState::Maximized;
			this->Load += new System::EventHandler(this, &MainForm::MainForm_Load);
			this->Closing += new System::ComponentModel::CancelEventHandler(this, &MainForm::MainForm_Closing);
			this->panel_SelectObj->ResumeLayout(false);
			this->panel_SelectObj->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->dockManager1))->EndInit();
			this->hideContainerRight->ResumeLayout(false);
			this->dockPanel1->ResumeLayout(false);
			this->dockPanel1_Container->ResumeLayout(false);
			this->dockPanel2->ResumeLayout(false);
			this->dockPanel2_Container->ResumeLayout(false);
			this->dockPanel3->ResumeLayout(false);
			this->ResumeLayout(false);

		}		

    

    private: 
        System::Void OnLogin_Click(System::Object *  sender, System::EventArgs *  e);
        System::Void OnLogout_Click(System::Object *  sender, System::EventArgs *  e);
        System::Void FormExit(System::Object *  sender, System::EventArgs *  e);
        System::Void OnSelectForm(System::Object *  sender, System::EventArgs *  e);
        System::Void OnBaseForm_Deactivate(System::Object *  sender, System::EventArgs *  e);
        System::Void OnBaseForm_Active(System::Object *  sender, System::EventArgs *  e);
//        System::Void OutputAllString(System::Object *  sender, System::EventArgs *  e);
//        System::Void OutputAllObjByStringTable(System::Object *  sender, System::EventArgs *  e);
        System::Void OutputAllFile1(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile2(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile3(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile4(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile5(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile6(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile7(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile8(System::Object *  sender, System::EventArgs *  e);
		System::Void OutputAllFile9(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFile10(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFile11(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFile12(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFile13(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFile14(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFile15(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFile16(System::Object*  sender, System::EventArgs*  e);
		System::Void OutputAllFileDesign(System::Object*  sender, System::EventArgs*  e);
		
		System::Void OutputAllFile_AllLanguage(System::Object *  sender, System::EventArgs *  e);

        System::Void Setting_Click(System::Object *  sender, System::EventArgs *  e);
        System::Void MainForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void Maintain_Click(System::Object *  sender, System::EventArgs *  e);
        System::Void MainForm_Load(System::Object *  sender, System::EventArgs *  e);
		System::Void SetCloseViewForm(System::Object *  sender, DevExpress::XtraBars::Docking::DockPanelCancelEventArgs *  e);
		System::Void MI_Preview_Click(System::Object *  sender, System::EventArgs *  e);
		System::Void CreatePasswordClick(System::Object*  sender, System::EventArgs*  e);
		System::Void menuItem12_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void menuItem12_Popup(System::Object*  sender, System::EventArgs*  e);
		System::Void menuItem22_Click(System::Object*  sender, System::EventArgs*  e);
		
        void    InsertForm( );
        void    LoadString( );
		void	OutputFileLanguage( int LanguageID );
    protected:
        bool                    _IsLogin;
        String*                 _Account;           //登入帳號
        String*                 _Password;          //登入密碼 
        
        ArrayList*              _FormList;
        BaseFormControl*        _ActiveForm;





};
}